=== examples/CMakeLists.txt ===
add_subdirectory(contacts)
add_subdirectory(drives)
add_subdirectory(teamdrive)
add_subdirectory(permissions)
add_subdirectory(tasks)
add_subdirectory(files)

# Deprecated
#add_subdirectory(staticmaps)
