=== examples/staticmaps/CMakeLists.txt ===
--- 
+++ 
@@ -11,4 +11,3 @@
         KF6::Contacts
         KPim6::GapiStaticMaps
 )
-
