=== src/tasks/CMakeLists.txt ===
--- 
+++ 
@@ -115,4 +115,3 @@
         COMPONENT Devel
    )
 endif()
-
