=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
-               libkf6calendarcore-dev (>= 6.14.0~),
-               libkf6contacts-dev (>= 6.14.0~),
-               libkf6wallet-dev (>= 6.14.0~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6calendarcore-dev (>= 6.18.0~),
+               libkf6contacts-dev (>= 6.18.0~),
+               libkf6wallet-dev (>= 6.18.0~),
                libsasl2-dev,
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/libkgapi
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkgapi.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkgapi
@@ -37,8 +37,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6calendarcore-dev (>= 6.14.0~),
-         libkf6contacts-dev (>= 6.14.0~),
+Depends: libkf6calendarcore-dev (>= 6.18.0~),
+         libkf6contacts-dev (>= 6.18.0~),
          libkpim6gapiblogger6 (= ${binary:Version}),
          libkpim6gapicalendar6 (= ${binary:Version}),
          libkpim6gapicore6 (= ${binary:Version}),
